Bug 197632 - Patch to facilitate hexadecimal literals
Patch to facilitate hexadecimal literals
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: bc (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zdenek Prikryl
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-04 22:02 EDT by JW
Modified: 2008-09-24 04:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-24 04:26:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑cvs+


Attachments (Terms of Use)
Patch to facilitate hexadecimal literals (2.56 KB, patch)
2006-07-04 22:02 EDT, JW
no flags Details | Diff

  None (edit)
Description JW 2006-07-04 22:02:07 EDT
Description of problem:
bc doesn't know about 0x prefix for hex numbers, yet every other program on the
planet seems to


Version-Release number of selected component (if applicable):
bc-1.06-18

How reproducible:
Always

Steps to Reproduce:
1. bc
2. 0x10
3.
  
Actual results:
(standard_in) 1: syntax error

Expected results:
16

Additional info:
Please see attached very simple patch which allows for hex literals.
The change would not create any problem with existing usage of bc.
Comment 1 JW 2006-07-04 22:02:07 EDT
Created attachment 131912 [details]
Patch to facilitate hexadecimal literals
Comment 2 Christian Iseli 2007-01-22 05:57:31 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 JW 2007-01-22 06:04:19 EST
bc maintainer is very stubborn and refuses to budge on this one
Comment 4 Matthew Miller 2007-04-10 15:36:42 EDT
Fedora Core 4 is now completely unmaintained. These bugs can't be fixed in that
version. If the issue still persists in current Fedora Core, please reopen.
Thank you, and sorry about this.
Comment 5 JW 2007-04-10 20:16:31 EDT
Applicable to Fedora Core 6. Sorry about this.

Comment 6 Zdenek Prikryl 2007-07-20 08:10:58 EDT
Package Change Request
======================
Package Name: bc
Updated Fedora Owners: zprikryl@redhat.com
Comment 7 Jens Petersen 2007-07-24 10:41:25 EDT
reassigned
Comment 8 Zdenek Prikryl 2007-07-27 04:06:30 EDT
bc uses [i,o]base variable for setting a [input,output] radix. dc controls
radixes by "[i,o]" as operations on a stack. So i do not think this is useful.

Zdenek
Comment 9 JW 2007-07-27 04:14:39 EDT
I think it is useful for users of bc.  The obase/ibase is cumbersome. And it
makes it impossible to mix numbers with different base in same expression.

Like: "echo 0x1234+43 | bc"

How can you do this simply without my simple patch?  More to the point - what
harm would it do?

BTW it has nothing to do with dc, Zdenek, because if you bothered to look at bc
code you would see that it doesn't use dc any more!  Just RTFM!!!!

Unbelievable ineptitude!

Comment 10 Zdenek Prikryl 2007-07-27 05:29:21 EDT
I know than it has nothing to do with dc. I just put it in comment how dc
controls radixes, nothing more.

Without your patch there is no simply way how to mix numbers with different base
in same expression.

I'll take a look.
Comment 11 Bug Zapper 2008-04-03 23:13:24 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 12 Zdenek Prikryl 2008-09-24 04:26:45 EDT
The patch was sent to the upstream.

Note You need to log in before you can comment on or make changes to this bug.